#
# spec file for package ocaml-ounit
#
# Copyright (c) 2023 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%bcond_with     ocaml_lwt

Name:           ocaml-ounit
Version:        2.2.7
Release:        1.5
%{?ocaml_preserve_bytecode}
Summary:        Ocaml OUnit test framework
License:        MIT
Group:          Development/Languages/OCaml
URL:            https://opam.ocaml.org/packages/ounit
Source0:        %name-%version.tar.xz
BuildRequires:  ocaml
BuildRequires:  ocaml-dune >= 3.0
BuildRequires:  ocaml-rpm-macros >= 20230101
BuildRequires:  ocamlfind(seq)
BuildRequires:  ocamlfind(stdlib-shims)
BuildRequires:  ocamlfind(str)
BuildRequires:  ocamlfind(threads)
BuildRequires:  ocamlfind(unix)
%if %{with ocaml_lwt}
BuildRequires:  ocamlfind(lwt)
BuildRequires:  ocamlfind(lwt.unix)
%endif

%description
OUnit is a unit test framework for OCaml. It allows one to easily
create unit-tests for OCaml code. It is based on HUnit, a unit testing
framework for Haskell. It is similar to JUnit, and other xUnit testing
frameworks.

%package devel
Summary:        Development files for %name
Group:          Development/Languages/OCaml
Requires:       %name = %version

%description devel
Development files needed for application based on %name.

%prep
%autosetup -p1

%build
dune_release_pkgs='ounit,ounit2'
%if %{with ocaml_lwt}
dune_release_pkgs="${dune_release_pkgs},ounit-lwt,ounit2-lwt"
%endif
%ocaml_dune_setup
%ocaml_dune_build

%install
%ocaml_dune_install
mkdir %buildroot$(ocamlc -where)/oUnit
cp -avt "$_" src/lib/oUnit/META
%ocaml_create_file_list

%check
%ocaml_dune_test

%files -f %name.files

%files devel -f %name.files.devel

%changelog
* Fri May  5 2023 ohering@suse.de
- Update to version 2.2.7
  Update to Dune 3.0
* Mon Apr  4 2022 ohering@suse.de
- Update to version 2.2.6
  support for OCaml 5.0
* Thu Jan 21 2021 ohering@suse.de
- Update to version 2.2.4
  Skip AssertCodePosition test if no debug symbols are available
* Thu Aug 20 2020 ohering@suse.de
- Update to version 2.2.3
  Increase timeouts for slow architecture
* Thu Feb 20 2020 ohering@suse.de
- Update to version 2.2.2
  Don't follow symlink in bracket_tmpdir removal code
- Remove ounit-strict-formats.diff
- Require current ocaml-rpm-macros
- Build conditionally with ocaml-lwt
* Fri Nov  1 2019 ohering@suse.de
- Require current dune macros
* Mon Sep 30 2019 ohering@suse.de
- use dune macros from ocaml-rpm-macros
* Mon Sep 23 2019 ohering@suse.de
- Update to version 2.2.1
* Tue Jul 25 2017 ohering@suse.de
- Use Group: Development/Languages/OCaml
* Mon Jul 17 2017 ohering@suse.de
- Wrap specfile conditionals to fix quilt setup
* Mon Jul 17 2017 ohering@suse.de
- Remove autodeps for pre openSUSE 12.1 releases
* Mon May 30 2016 ohering@suse.de
- Fix build with ocaml-4.03 (fate#320836)
  ounit-strict-formats.diff
* Tue Nov 10 2015 ohering@suse.de
- Add hardcoded Provides for pre 12.1 repos
* Wed Jan 21 2015 mlatimer@suse.com
- Change license in spec file to match source code (MIT), and
  include LICENSE.txt in rpm
* Wed Sep 24 2014 sleep_walker@suse.cz
- let there be ocaml-ounit
